$mainMod = SUPER
# Default
$scriptsDir = $HOME/.config/scripts
$configs = $HOME/.config/hypr/configs

$files = hyprdrop thunar --identifier thunar_hyprdrop
$term = ghostty
$appLauncher = rofi -show drun -show-icons

# Toggle waybar visibility
bind = $mainMod, O, exec, .config/scripts/toggle-bar.sh

# System
bind = $mainMod, N, exec, $scriptsDir/LockScreen.sh # screen lock
bind = $mainMod SHIFT, N, exec, rofi -show system # swayNC notification panel

bind = , Print, exec, $scriptsDir/screenshot.sh area # screenshot (area)
bind = , F12, exec, $scriptsDir/screenshot.sh active # screenshot (active window only)

bind = $mainMod, D, exec, $files

# Rofi
bind = , Home, exec, $appLauncher
bind = ALT, Tab, exec, rofi -show window -show-icons

bind = $mainMod SHIFT, O, exec, rofi -modes "2fa" -show 2fa

bind = $mainMod, F10, exec, rofi -show pactl 
bind = , XF86Calculator, exec, rofi -show calc

# Terminal
bind = $mainMod, Return, exec, $term
bind = $mainMod Shift, Return, exec, hyprdrop ghostty --identifier term_hyprdrop

